> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-auto-update-api-spec.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a bounded check snapshot allowed by an Elements token



## OpenAPI

````yaml get /v1/elements-data
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/elements-data:
    get:
      tags:
        - Elements
      summary: Read a bounded check snapshot allowed by an Elements token
      operationId: getV1Elementsdata
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
            maximum: 20
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 20
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElementsDataResponse'
components:
  schemas:
    ElementsDataResponse:
      type: object
      properties:
        results:
          $ref: '#/components/schemas/ElementsResults'
        summary:
          $ref: '#/components/schemas/ElementsSummary'
      required:
        - results
        - summary
    ElementsResults:
      type: array
      items:
        $ref: '#/components/schemas/ElementsCheck'
    ElementsSummary:
      type: object
      properties:
        total:
          type: integer
        totalPassing:
          type: integer
        totalFailing:
          type: integer
        totalDegraded:
          type: integer
        totalDeactivated:
          type: integer
      required:
        - total
        - totalPassing
        - totalFailing
        - totalDegraded
        - totalDeactivated
    ElementsCheck:
      type: object
      properties:
        id:
          type: string
          x-format:
            guid: true
        name:
          type: string
        checkType:
          type: string
        frequency:
          type: number
          nullable: true
        activated:
          type: boolean
        muted:
          type: boolean
        tags:
          $ref: '#/components/schemas/ElementsTags'
        created_at:
          type: string
          format: date
          nullable: true
        isSample:
          type: boolean
          nullable: true
        group:
          $ref: '#/components/schemas/ElementsCheckGroup'
        status:
          $ref: '#/components/schemas/ElementsCheckStatus'
      required:
        - id
        - name
        - checkType
        - activated
        - muted
        - created_at
    ElementsTags:
      type: array
      nullable: true
      items:
        type: string
    ElementsCheckGroup:
      type: object
      nullable: true
      properties:
        name:
          type: string
        tags:
          $ref: '#/components/schemas/ElementsTags'
        activated:
          type: boolean
      required:
        - name
        - activated
    ElementsCheckStatus:
      type: object
      nullable: true
      properties:
        hasFailures:
          type: boolean
        hasErrors:
          type: boolean
          nullable: true
        isDegraded:
          type: boolean
        created_at:
          type: string
          format: date
          nullable: true
        updated_at:
          type: string
          format: date
          nullable: true
        metrics:
          $ref: '#/components/schemas/ElementsMetrics'
      required:
        - hasFailures
        - isDegraded
    ElementsMetrics:
      type: object
      nullable: true
      properties:
        1dSuccessRatio:
          type: number
        1d:
          $ref: '#/components/schemas/ElementsPeriodMetrics'
        responseTimes:
          $ref: '#/components/schemas/ElementsResponseTimes'
    ElementsPeriodMetrics:
      type: object
      properties:
        availability:
          $ref: '#/components/schemas/ElementsPerformanceStat'
        responseTimeP95:
          $ref: '#/components/schemas/ElementsPerformanceStat'
        responseTimeP99:
          $ref: '#/components/schemas/ElementsPerformanceStat'
    ElementsResponseTimes:
      type: object
      properties:
        avg:
          type: number
          nullable: true
        p95:
          type: number
          nullable: true
        p99:
          type: number
          nullable: true
    ElementsPerformanceStat:
      type: object
      properties:
        currentPeriod:
          type: number
          nullable: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.